Genivia - _a__address_book Class Reference

|  | Home | Documentation | _a__address_book Class Reference updated Wed Jan 9 2019 by Robert van Engelen |

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_a__address_book Class Reference

Top-level root element "urn:address-book-example":address-book. More...

`#include <address.h>`

Collaboration diagram for _a__address_book:
[legend]

## Public Attributes
std::vector< a__address * > | address
| Vector of a__address* of length 0..unbounded. More...
struct soap * | soap

## Detailed Description

Top-level root element "urn:address-book-example":address-book.

      The root element of the address book schema

"urn:address-book-example":address-book is a complexType.

class _a__address_book operations:

- _a__address_book* soap_new__a__address_book(soap*) allocate and default initialize
- _a__address_book* soap_new__a__address_book(soap*, int num) allocate array and default initialize values
- _a__address_book* soap_new_req__a__address_book(soap*, ...) allocate, set required members
- _a__address_book* soap_new_set__a__address_book(soap*, ...) allocate, set all public members
- _a__address_book::soap_default(soap*) default initialize members
- int soap_read__a__address_book(soap*, _a__address_book*) deserialize from a stream
- int soap_write__a__address_book(soap*, _a__address_book*) serialize to a stream
- _a__address_book* _a__address_book::soap_dup(soap*) returns deep copy of _a__address_book, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- _a__address_book::soap_del() deep deletes _a__address_book data members, use only after _a__address_book::soap_dup(NULL) (use soapcpp2 -Ed)

Definition at line 246 of file address.h.

## Member Data Documentation

std::vector<a__address* > _a__address_book::address

Vector of a__address* of length 0..unbounded.

Multiple elements.

Definition at line 249 of file address.h.

struct soap* _a__address_book::soap

Definition at line 250 of file address.h.

The documentation for this class was generated from the following file:

- address.h